Package net.postgis.jdbc.geometry

# Class GeometryTokenizer

java.lang.Object
net.postgis.jdbc.geometry.GeometryTokenizer

public class GeometryTokenizer extends Object

## Constructor Summary

Constructors
Constructor
Description
`GeometryTokenizer()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`removeLeadingAndTrailingStrings(String string, String leadingString, String trailingString)`
`static List<String>`
`tokenize(String string, char delimiter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GeometryTokenizer

public GeometryTokenizer()

## Method Details

### tokenize

public static List<String> tokenize(String string, char delimiter)

### removeLeadingAndTrailingStrings

public static String removeLeadingAndTrailingStrings(String string, String leadingString, String trailingString)